//...\experts\indicators\secsUsed_secsInBar_Timer.mq4
//
#property indicator_chart_window
#include <stderror.mqh>

//----- Global Declarations for user changeable indicator inputs
//
//plot characteristics
extern string __TIMER_SIZE_AND_COLOR__ = "__FONT SIZE____FONT COLOR__";
extern int TEXT_SIZE = 8;
extern color TEXT_COLOR = Red;
//
//where plot shown
extern string __TIMER_CORNER__X_Y_AXIS =  "Corner=0..3__X,Y=pixelsFrom\'Corner\'";
extern int eDisplayCorner = 1;			//TOP RIGHT CORNER
extern int eDisplayXaxis = 5;				//X-axis distance object property in pixels
extern int eDisplayYaxis = 30;			//Y-axis distance object property in pixels

//----- Global Declarations
//
#define TIMERNAME "secsUsed_secsInBar"


//+------------------------------------------------------------------+
//
int init()
{
	ObjectDelete(TIMERNAME);	//be sure...
	ObjectCreate(TIMERNAME, OBJ_LABEL, 0,0,0);
	ObjectSet(TIMERNAME,OBJPROP_CORNER,eDisplayCorner);	
	ObjectSet(TIMERNAME,OBJPROP_XDISTANCE,eDisplayYaxis);	
	ObjectSet(TIMERNAME,OBJPROP_YDISTANCE,eDisplayYaxis);	
	return(ERR_NO_ERROR);
}  

  
//+------------------------------------------------------------------+
//
int deinit()
{
	ObjectDelete(TIMERNAME);
	return(ERR_NO_ERROR);
}  

  
//+------------------------------------------------------------------+
//
int start()
{
	int ibarSecs = Period()*60;
	int ibarSecsUsed = CurTime()-Time[0];
	int iprevBarSecsUsed = 0;
	
	ibarSecsUsed = CurTime()-Time[0];
	if(ibarSecsUsed > ibarSecs) ibarSecsUsed = CurTime()-(Time[0]+ibarSecs);
	string s = StringConcatenate(ibarSecsUsed,"/",ibarSecs);
	ObjectSetText(TIMERNAME,s,TEXT_SIZE,"Arial",TEXT_COLOR);	
	iprevBarSecsUsed = ibarSecsUsed;

	return(ERR_NO_ERROR);
}


